// https://www.seeedstudio.com/blog/2019/03/04/driving-a-28byj-48-stepper-motor-with-a-uln2003-driver-board-and-arduino/

#include <Stepper.h>

#define STEPS 2038 // the number of steps in one revolution of your motor (28BYJ-48)

Stepper stepper(STEPS, 8, 10, 9, 11);
	
void setup() {
 // nothing to do
}
	
void loop() {
 stepper.setSpeed(1); // 1 rpm
 stepper.step(2038); // 2038 = one revolution per minute.
 delay(1000); 
 stepper.setSpeed(6); // 6 rpm
 stepper.step(-2038); // in other direction and faster.
}

